Package org.apache.ignite.marshaller

## Class MarshallerUtils

- java.lang.Object
- - org.apache.ignite.marshaller.MarshallerUtils

-     public class MarshallerUtils
      extends Object

  Utility marshaller methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CLS_NAMES_FILE` | Class names file.
    `static String` | `DEFAULT_BLACKLIST_CLS_NAMES_FILE` | Default black list class names file.
    `static String` | `DEFAULT_WHITELIST_CLS_NAMES_FILE` | Default white list class names file.
    `static String` | `JDK_CLS_NAMES_FILE` | Jdk class names file.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `autoconfigureObjectInputFilter​(IgniteMarshallerClassFilter clsFilter)` |
    `static IgniteMarshallerClassFilter` | `classNameFilter​(ClassLoader clsLdr)` | Returns class name filter for marshaller.
    `static IgniteProductVersion` | `jobReceiverVersion()` | Returns thread local job receiver node version.
    `static void` | `jobReceiverVersion​(IgniteProductVersion ver)` | Sets thread local job receiver node version.
    `static IgniteProductVersion` | `jobSenderVersion()` | Returns thread local job sender node version.
    `static void` | `jobSenderVersion​(IgniteProductVersion ver)` | Sets thread local job sender node version.
    `static void` | `processSystemClasses​(ClassLoader ldr, @Nullable Collection<PluginProvider> plugins, Consumer<String> proc)` | Find all system class names (for JDK or Ignite classes) and process them with a given consumer.
    `static void` | `setNodeName​(Marshaller marsh, @Nullable String nodeName)` | Set node name to marshaller context if possible.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JDK_CLS_NAMES_FILE

          public static final String JDK_CLS_NAMES_FILE

      Jdk class names file.
      See Also:
        Constant Field Values

    - #### CLS_NAMES_FILE

          public static final String CLS_NAMES_FILE

      Class names file.
      See Also:
        Constant Field Values

    - #### DEFAULT_BLACKLIST_CLS_NAMES_FILE

          public static final String DEFAULT_BLACKLIST_CLS_NAMES_FILE

      Default black list class names file.
      See Also:
        Constant Field Values

    - #### DEFAULT_WHITELIST_CLS_NAMES_FILE

          public static final String DEFAULT_WHITELIST_CLS_NAMES_FILE

      Default white list class names file.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setNodeName

          public static void setNodeName​(Marshaller marsh,
                                         @Nullable
                                         @Nullable String nodeName)

      Set node name to marshaller context if possible.
      Parameters:
        `marsh` - Marshaller instance.
        `nodeName` - Node name.

    - #### jobSenderVersion

          public static void jobSenderVersion​(IgniteProductVersion ver)

      Sets thread local job sender node version.
      Parameters:
        `ver` - Thread local job sender node version.

    - #### jobSenderVersion

          public static IgniteProductVersion jobSenderVersion()

      Returns thread local job sender node version.
      Returns:
        Thread local job sender node version.

    - #### jobReceiverVersion

          public static void jobReceiverVersion​(IgniteProductVersion ver)

      Sets thread local job receiver node version.
      Parameters:
        `ver` - Thread local job receiver node version.

    - #### jobReceiverVersion

          public static IgniteProductVersion jobReceiverVersion()

      Returns thread local job receiver node version.
      Returns:
        Thread local job receiver node version.

    - #### classNameFilter

          public static IgniteMarshallerClassFilter classNameFilter​(ClassLoader clsLdr)
                                                             throws IgniteCheckedException

      Returns class name filter for marshaller.
      Parameters:
        `clsLdr` - Class loader.
      Returns:
        Class name filter for marshaller.
      Throws:
        `IgniteCheckedException`

    - #### autoconfigureObjectInputFilter

          public static void autoconfigureObjectInputFilter​(IgniteMarshallerClassFilter clsFilter)
                                                     throws IgniteCheckedException

      Parameters:
        `clsFilter` - Ignite marshaller class filter to which class validation will be delegated.
      Throws:
        `IgniteCheckedException` - if autoconfiguration failed.

    - #### processSystemClasses

          public static void processSystemClasses​(ClassLoader ldr,
                                                  @Nullable
                                                  @Nullable Collection<PluginProvider> plugins,
                                                  Consumer<String> proc)
                                           throws IOException

      Find all system class names (for JDK or Ignite classes) and process them with a given consumer.
      Parameters:
        `ldr` - Class loader.
        `plugins` - Plugins.
        `proc` - Class processor (class name consumer).
      Throws:
        `IOException`